/*******************************************************************************
 * Copyright (c) 2008 Czech Technical University in Prague.
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 ******************************************************************************/
package cz.cvut.kbss.owldiff;

import javax.swing.KeyStroke;

public enum OWLDiffAction {
	// http://www.famfamfam.com/lab/icons/silk/preview.php
	open("Open ...", KeyStroke.getKeyStroke("control O")), 
	exit("Exit", KeyStroke.getKeyStroke("control X")), 
	useCEX("Use CEX", KeyStroke.getKeyStroke("control W")), // TODO icon 'CEX'
	showExplanations("Show explanations", KeyStroke.getKeyStroke("control E")), // book_open.png 
	selectAllOriginal( "Select all in original", KeyStroke.getKeyStroke("control S")), // table_row_insert.png
	selectAllUpdate( "Select all in update", KeyStroke.getKeyStroke("control U")), // table_row_insert.png
	deselectAllOriginal( "Deselect all in original", KeyStroke.getKeyStroke("control D")), // table_row_delete.png
	deselectAllUpdate( "Deselect all in update", KeyStroke.getKeyStroke("control Q")), // table_row_delete.png
	merge( "Merge ...", KeyStroke.getKeyStroke("control M")), // table_relationship.png
	showCommon( "Show common axioms", KeyStroke.getKeyStroke("control A")), //eye.png
	showAxiomList( "Show axiom list", KeyStroke.getKeyStroke("control L")), // application_view_list.png
	showAssertedFrames( "Show asserted frames", KeyStroke.getKeyStroke("control F")), // chart_organisation.png
	showClassifiedFrames( "Show classified frames", KeyStroke.getKeyStroke("control C")), // chart_organisation.png - prebarvit
	manchester( "Manchester syntax", KeyStroke.getKeyStroke("control R")), // TODO icon 'M'
	descriptionLogic( "Description logic syntax", KeyStroke.getKeyStroke("control I")); // TODO icon subsumpce

	private Object keyStroke;
	private String label;

	OWLDiffAction(String name, Object keyStroke) {
		this.keyStroke = keyStroke;
		this.label = name;
	}

	public Object getKeyStroke() {
		return keyStroke;
	}

	public String getLabel() {
		return label;
	}
}
