/*******************************************************************************
 * Copyright (c) 2008 Czech Technical University in Prague.
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 ******************************************************************************/
package cz.cvut.kbss.owldiff.pellet;

import java.util.ArrayList;
import java.util.Set;

import org.semanticweb.owl.model.OWLAxiom;
import org.semanticweb.owl.model.OWLOntology;
import org.semanticweb.owl.model.OWLOntologyManager;

import cz.cvut.kbss.explanation.SingleMUSAlgorithm;
import cz.cvut.kbss.explanation.reiter.BlackBoxSingleMUS;
import cz.cvut.kbss.owldiff.ExplanationManager;

public class BBOWLAPIExplanationManager implements ExplanationManager {

	private final OWLOntology o;

	private final PelletEntailmentTest t;

	private SingleMUSAlgorithm<OWLAxiom> single = null;

	private Set<OWLAxiom> a = null;

	public BBOWLAPIExplanationManager(final OWLOntologyManager m,
			final OWLOntology o, final OWLAxiom ax) {
		this.o = o;

		this.t = new PelletEntailmentTest();
		this.t.setAxiom(ax);
	}

	public Set<OWLAxiom> getNextExplanation() {
		if (a == null) {
			this.single = new BlackBoxSingleMUS<OWLAxiom>(t);
			a = single.find(new ArrayList<OWLAxiom>(o.getLogicalAxioms()));
		}
		return a;
	}
}
