/*******************************************************************************
 * Copyright (c) 2008 Czech Technical University in Prague.
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 ******************************************************************************/
package cz.cvut.kbss.owldiff.pellet;

import java.util.Set;

import org.semanticweb.owl.inference.OWLReasonerFactory;
import org.semanticweb.owl.model.OWLAxiom;
import org.semanticweb.owl.model.OWLOntology;
import org.semanticweb.owl.model.OWLOntologyManager;

import com.clarkparsia.explanation.DefaultExplanationGenerator;
import com.clarkparsia.explanation.ExplanationGenerator;
import com.clarkparsia.explanation.SatisfiabilityConverter;
import com.clarkparsia.explanation.util.SilentExplanationProgressMonitor;

import cz.cvut.kbss.owldiff.ExplanationManager;

public class BBPelletExplanationManager implements ExplanationManager {

	private final ExplanationGenerator g;
	private final SatisfiabilityConverter c;

	private final OWLAxiom ax;

	private Set<OWLAxiom> a = null;

	public BBPelletExplanationManager(final OWLOntologyManager m,
			final OWLOntology o, final OWLReasonerFactory f, final OWLAxiom a) {
		this.c = new SatisfiabilityConverter(m.getOWLDataFactory());
		this.g = new DefaultExplanationGenerator(m, f, false, o,
				new SilentExplanationProgressMonitor());
		this.ax = a;
	}

	public Set<OWLAxiom> getNextExplanation() {
		if (a == null) {
			a = g.getExplanation(c.convert(ax));
		}
		return a;
	}
}
