/*******************************************************************************
 * Copyright (c) 2008 Czech Technical University in Prague.
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 ******************************************************************************/
package cz.cvut.kbss.owldiff.pellet;

import java.util.ArrayList;
import java.util.Set;

import org.semanticweb.owl.model.OWLAxiom;
import org.semanticweb.owl.model.OWLOntology;
import org.semanticweb.owl.model.OWLOntologyManager;

import cz.cvut.kbss.explanation.SingleMUSAlgorithm;
import cz.cvut.kbss.explanation.reiter.SingleIncrementalMUS;
import cz.cvut.kbss.owldiff.ExplanationManager;

public class IncOWLAPIExplanationManager implements ExplanationManager {

	private final OWLOntology o;

	private PelletIncrementalTest t;

	private SingleMUSAlgorithm<OWLAxiom> single = null;

	private Set<OWLAxiom> a = null;
	
	private OWLAxiom ax = null;

	public IncOWLAPIExplanationManager(final OWLOntologyManager m,
			final OWLOntology o, final OWLAxiom a) {
		this.o = o;
		
		this.ax = a;
	}

	public Set<OWLAxiom> getNextExplanation() {
		// TODO meanwhile just single explanation is generated
//		if (a == null) {
		this.t = new PelletIncrementalTest();
		this.t.setAxiom(ax);
			this.single = new SingleIncrementalMUS<OWLAxiom>(t, true);
			a = single.find(new ArrayList<OWLAxiom>(o.getLogicalAxioms()));
//		}
		return a;
	}
}
