/*******************************************************************************
 * Copyright (c) 2008 Czech Technical University in Prague.
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 ******************************************************************************/
package cz.cvut.kbss.owldiff.pellet;

import org.mindswap.pellet.owlapi.Reasoner;
import org.semanticweb.owl.model.OWLAxiom;
import org.semanticweb.owl.model.OWLOntology;
import org.semanticweb.owl.model.OWLOntologyManager;

import cz.cvut.kbss.owldiff.OWLEntailmentChecker;

public class PelletEntailmentChecker implements OWLEntailmentChecker {

	private final Reasoner r;

	public PelletEntailmentChecker(final OWLOntologyManager m,
			final OWLOntology o) {
		this.r = new Reasoner(m);
		this.r.loadOntology(o);
	}

	/**
	 * {@inheritDoc}
	 */
	public boolean isEntailed(final OWLAxiom a) {
		return r.isEntailed(a);
	}

	public boolean isConsistent() {
		return r.isConsistent();
	}
}
